%error1 = ForceRequiredAddOn("Support_Garage");
%error2 = ForceRequiredAddOn("Vehicle_Jeep");

if(%error1 == $Error::AddOn_NotFound || %error2 == $Error::AddOn_NotFound)
{
   if(%error1 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_SuperKart - required add-on Support_Garage not found");
   if(%error2 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_SuperKart - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./SuperKart_Sounds.cs"); 
	exec("./SuperATV_Sounds.cs"); 
	exec("./SuperHover_Sounds.cs"); 
	exec("./SuperKart_Tire.cs");
	exec("./SuperATV_Tire.cs");
	exec("./SuperHover_Tire.cs");
	exec("./SuperKart_Explosion.cs");
	exec("./SuperKart_FinalExplosion.cs");
	exec("./SuperKart_Spring.cs");
	exec("./SuperKart.cs");
	exec("./SuperJetski_Spring.cs");
	exec("./SuperJetski_Sounds.cs"); 
	exec("./SuperJetski_Tire.cs");
	exec("./SuperJetski.cs");
	exec("./SuperATV.cs");
	exec("./SuperHover.cs");
	exec("./SuperPlane.cs");
	exec("./Support_HandsOnVehicle.cs");
}